HMAC(1)

NAME
hmac - Runs TPM2 hmac

DESCRIPTION
hmac

Runs TPM2_HMAC

-hk key handle

[-pwdk
    password for key (default empty)]

[-halg
    (sha1, sha256, sha384, sha512) (default sha256)]

-if input file to be HMACed

-ic data string to be HMACed

[-os
    hmac file name (default do not save)]

-se[0-2] session handle / attributes (default PWAP)

01  continue

20  command decrypt

40  response encrypt